﻿using System;
using System.Web.Mvc;
using SampleData;

namespace igHtmlEditor_AjaxData.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			ForumPost forumPost = new ForumPost();
			forumPost.ID = Guid.NewGuid();
			return View(forumPost);
		}

		public ActionResult GetData()
		{
			//	Setup response.
			JsonResult result = new JsonResult();
			result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
			result.Data = "<div>Some <strong>HTML content</strong> from the server.</div><div>Now with multiple lines!</div>";
			return result;
		}

		[HttpPost]
		public ActionResult SavePost(ForumPost forumPost)
		{
			//	TODO: Get form data and save it to DB.
			forumPost.TimePosted = DateTime.Now;
			return View("Index", forumPost);
		}
	}
}